
Public Support - Support Request #11367

No file dialog for property available

2020-06-03 10:45 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.6.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

We have a question about properties of ADTF components.

Assume that we set a property to a plugin, where users can give a path as input in ADTF Configuration Editor. See Picture 1.

 

Abbildung 1

However this is not so user-friendly. We found that in some Plugins or services from ADTF there is better way.  For example, to give

media description file to ADTF Media Description Service, users can select file from menu. See Picture 2.

 

Abbildung 2

Also, when clicking edit the path, existence of the path will be checked. User can see the path is correct or not (green means path

exists, orange means path doesn't exist). See Picture 3.

 

Abbildung 3

Our question: How to achieve this ? Is there any example?

Thank you for your support in advance!

Lösung

Here should be an example within the delivered examples of ADTF3 "ce_external_property_module_example".

With this example it is possible to use a filename list like the one shown in your pictures.

It can also be used as a base to write your own CE-Module(mainly in qml) to enhance the property editor with a custom editor for

your own or existing property types.

If you have any further questions let me know.
I guess your property is of type cString, than it is really a string.

What you want and need is change it to cFilename, then the feature will appear. This works also for cFilenameList, depends on your

use case. So please update the property type and recompile including plugin description generation. Note: update the property also

in your existing Projects.

History

#1 - 2020-06-03 12:16 - hidden

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::CE

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.6.2 added

- Platform Windows 10 64bit added

#2 - 2020-06-03 14:05 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Xinjie,

there should be an example within the delivered examples of ADTF3 "ce_external_property_module_example".

With this example it is possible to use a filename list like the one shown in your pictures.

It can also be used as a base to write your own CE-Module(mainly in qml) to enhance the property editor with a custom editor for your own or existing

property types.

If you have any further questions let me know.

Best regards

Sebastian Stern

#3 - 2020-06-08 22:50 - hidden

In addition to Sebastians reply:

I guess your property is of type cString, than it is really a string.

What you want and need is change it to cFilename, then the feature will appear. This works also for cFilenameList, depends on your use case. So

please update the property type and recompile including plugin description generation. Note: update the property also in your existing Projects.

And off topic, please let us know what is your use case and what you want to do with header and description files. Maybe the existing code generation

already solves your issue.

#5 - 2020-06-24 17:13 - hidden

- Subject changed from properties of ADTF components to No file dialog for property available

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#8 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
